export declare class TokenType {
    label: string;
    constructor(label: string);
}
declare const types: {
    num: TokenType;
    string: TokenType;
    name: TokenType;
    eof: TokenType;
    bracketL: TokenType;
    bracketR: TokenType;
    parenL: TokenType;
    parenR: TokenType;
    pipe: TokenType;
    slash: TokenType;
    doubleSlash: TokenType;
    star: TokenType;
    at: TokenType;
    eq: TokenType;
    comma: TokenType;
};
export default types;
